net.sourceforge.pmd.lang.ecmascript.ast

## Class AbstractInfixEcmascriptNode<T extends org.mozilla.javascript.ast.InfixExpression>

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode<T>
    - - net.sourceforge.pmd.lang.ecmascript.ast.AbstractInfixEcmascriptNode<T>

- All Implemented Interfaces:
    Node, EcmascriptNode<T>
  Direct Known Subclasses:
    ASTAssignment, ASTInfixExpression, ASTObjectProperty, ASTPropertyGet, ASTXmlDotQuery, ASTXmlMemberGet

      public class AbstractInfixEcmascriptNode<T extends org.mozilla.javascript.ast.InfixExpression>
      extends AbstractEcmascriptNode<T>

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

      `node`

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `beginColumn, beginLine, children, endColumn, endLine, id, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInfixEcmascriptNode(T infixExpression)`
    `AbstractInfixEcmascriptNode(T infixExpression, boolean setImage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EcmascriptNode` | `getLeft()`
    `EcmascriptNode` | `getRight()`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ecmascript.ast.AbstractEcmascriptNode

      `childrenAccept, getJsDoc, getNode, hasSideEffects, jjtAccept, toString`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

      `findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData`

- - ### Constructor Detail

    - #### AbstractInfixEcmascriptNode

          public AbstractInfixEcmascriptNode(T infixExpression)

    - #### AbstractInfixEcmascriptNode

          public AbstractInfixEcmascriptNode(T infixExpression,
                                     boolean setImage)

  - ### Method Detail

    - #### getLeft

          public EcmascriptNode getLeft()

    - #### getRight

          public EcmascriptNode getRight()

Copyright © 2002-2013 InfoEther. All Rights Reserved.